export declare const CDN_URL = "https://cdn.discordapp.com";
export declare const CHANNEL_WEBHOOKS: (channelID: string) => `/channels/${string}/webhooks`;
export declare const GUILD_WEBHOOKS: (guildID: string) => `/guilds/${string}/webhooks`;
export declare const WEBHOOK: (webhookID: string, webhookToken?: string | undefined) => `/webhooks/${string}` | `/webhooks/${string}/${string}`;
export declare const WEBHOOK_MESSAGE: (webhookID: string, webhookToken: string, messageID: string) => `/webhooks/${string}/${string}/messages/${string}`;
export declare const WEBHOOK_PLATFORM: (webhookID: string, webhookToken: string, platform: "github" | "slack") => `/webhooks/${string}/${string}/github` | `/webhooks/${string}/${string}/slack`;
export declare const GUILD: (userID: string) => `/guilds/${string}`;
export declare const GUILDS: "/guilds";
export declare const GUILD_BANS: (guildID: string) => `/guilds/${string}/bans`;
export declare const GUILD_BAN: (guildID: string, userID: string) => `/guilds/${string}/bans/${string}`;
export declare const GUILD_AUTOMOD_RULE: (guildID: string, autoModerationRuleID: string) => `/guilds/${string}/auto-moderation/rules/${string}`;
export declare const GUILD_AUTOMOD_RULES: (guildID: string) => `/guilds/${string}/auto-moderation/rules`;
export declare const GUILD_EMOJI: (guildID: string, emojiID: string) => `/guilds/${string}/emojis/${string}`;
export declare const GUILD_EMOJIS: (guildID: string) => `/guilds/${string}/emojis`;
export declare const GUILD_AUDIT_LOG: (guildID: string) => `/guilds/${string}/audit-logs`;
export declare const GUILD_SCHEDULED_EVENT: (guildID: string, eventID: string) => `/guilds/${string}/scheduled-events/${string}`;
export declare const GUILD_SCHEDULED_EVENTS: (guildID: string) => `/guilds/${string}/scheduled-events`;
export declare const GUILD_SCHEDULED_EVENT_USERS: (guildID: string, eventID: string) => `/guilds/${string}/scheduled-events/${string}/users`;
export declare const GUILD_TEMPLATE_CODE: (code: string) => `/guilds/templates/${string}`;
export declare const GUILD_TEMPLATE: (guildID: string, templateID: string) => `/guilds/${string}/templates/${string}`;
export declare const GUILD_TEMPLATES: (guildID: string) => `/guilds/${string}/templates`;
export declare const GUILD_PREVIEW: (guildID: string) => `/guilds/${string}/preview`;
export declare const GUILD_CHANNELS: (guildID: string) => `/guilds/${string}/channels`;
export declare const GUILD_ACTIVE_THREADS: (guildID: string) => `/guilds/${string}/threads/active`;
export declare const GUILD_MEMBERS: (guildID: string) => `/guilds/${string}/members`;
export declare const GUILD_MEMBER: (guildID: string, userID: string) => `/guilds/${string}/members/${string}`;
export declare const GUILD_SEARCH_MEMBERS: (guildID: string) => `/guilds/${string}/members/search`;
export declare const GUILD_MEMBER_ROLE: (guildID: string, userID: string, roleID: string) => `/guilds/${string}/members/${string}/roles/${string}`;
export declare const GUILD_ROLES: (guildID: string) => `/guilds/${string}/roles`;
export declare const GUILD_ROLE: (guildID: string, roleID: string) => `/guilds/${string}/roles/${string}`;
export declare const GUILD_MFA: (guildID: string) => `/guilds/${string}/mfa`;
export declare const GUILD_PRUNE: (guildID: string) => `/guilds/${string}/prune`;
export declare const GUILD_INVITES: (guildID: string) => `/guilds/${string}/invites`;
export declare const GUILD_INTEGRATION: (guildID: string, integrationID: string) => `/guilds/${string}/integrations/${string}`;
export declare const GUILD_INTEGRATIONS: (guildID: string) => `/guilds/${string}/integrations`;
export declare const GUILD_WIDGET: (guildID: string) => `/guilds/${string}/widget`;
export declare const GUILD_VANITY_URL: (guildID: string) => `/guilds/${string}/vanity-url`;
export declare const GUILD_WIDGET_IMAGE: (guildID: string) => `/guilds/${string}/widget.png`;
export declare const GUILD_WIDGET_JSON: (guildID: string) => `/guilds/${string}/widget.json`;
export declare const GUILD_WELCOME_SCREEN: (guildID: string) => `/guilds/${string}/welcome-screen`;
export declare const GUILD_VOICE_STATE: (guildID: string, userID: string) => `/guilds/${string}/voice-states/${string}`;
export declare const CHANNEL: (channelID: string) => `/channels/${string}`;
export declare const CHANNEL_BULK_DELETE_MESSAGES: (channelID: string) => `/channels/${string}/messages/bulk-delete`;
export declare const CHANNEL_FOLLOWERS: (channelID: string) => `/channels/${string}/followers`;
export declare const CHANNEL_INVITES: (channelID: string) => `/channels/${string}/invites`;
export declare const CHANNEL_JOINED_PRIVATE_ARCHIVED_THREADS: (channelID: string) => `/channels/${string}/users/@me/threads/archived/private`;
export declare const CHANNEL_MESSAGE: (channelID: string, messageID: string) => `/channels/${string}/messages/${string}`;
export declare const CHANNEL_MESSAGES: (channelID: string) => `/channels/${string}/messages`;
export declare const CHANNEL_MESSAGES_CROSSPOST: (channelID: string, messageID: string) => `/channels/${string}/messages/${string}/crosspost`;
export declare const CHANNEL_MESSAGE_THREADS: (channelID: string, messageID: string) => `/channels/${string}/messages/${string}/threads`;
export declare const CHANNEL_PERMISSION: (channelID: string, overwriteID: string) => `/channels/${string}/permissions/${string}`;
export declare const CHANNEL_PERMISSIONS: (channelID: string) => `/channels/${string}/permissions`;
export declare const CHANNEL_PINNED_MESSAGE: (channelID: string, messageID: string) => `/channels/${string}/pins/${string}`;
export declare const CHANNEL_PINS: (channelID: string) => `/channels/${string}/pins`;
export declare const CHANNEL_PRIVATE_ARCHIVED_THREADS: (channelID: string) => `/channels/${string}/threads/archived/private`;
export declare const CHANNEL_PUBLIC_ARCHIVED_THREADS: (channelID: string) => `/channels/${string}/threads/archived/public`;
export declare const CHANNEL_REACTION: (channelID: string, messageID: string, reaction: string) => `/channels/${string}/messages/${string}/reactions/${string}`;
export declare const CHANNEL_REACTIONS: (channelID: string, messageID: string) => `/channels/${string}/messages/${string}/reactions`;
export declare const CHANNEL_REACTION_USER: (channelID: string, messageID: string, reaction: string, user: string) => `/channels/${string}/messages/${string}/reactions/${string}/${string}`;
export declare const CHANNEL_THREADS: (channelID: string) => `/channels/${string}/threads`;
export declare const CHANNEL_THREAD_MEMBER: (channelID: string, userID: string) => `/channels/${string}/thread-members/${string}`;
export declare const CHANNEL_THREAD_MEMBERS: (channelID: string) => `/channels/${string}/thread-members`;
export declare const CHANNEL_TYPING: (channelID: string) => `/channels/${string}/typing`;
export declare const GROUP_RECIPIENT: (channelID: string, userID: string) => `/channels/${string}/recipients/${string}`;
export declare const VOICE_REGIONS: "/voice/regions";
export declare const GUILD_VOICE_REGIONS: (guildID: string) => `/guilds/${string}/regions`;
export declare const INVITE: (code: string) => `/invites/${string}`;
export declare const OAUTH_APPLICATION: "/oauth2/applications/@me";
export declare const OAUTH_AUTHORIZE: "/oauth2/authorize";
export declare const OAUTH_INFO: "/oauth2/@me";
export declare const OAUTH_CURRENT_USER: "/user/@me";
export declare const OAUTH_CHANNELS: "/user/@me/channels";
export declare const OAUTH_CONNECTIONS: "/user/@me/connections";
export declare const OAUTH_GUILD: (guildID: string) => `/user/@me/guilds/${string}`;
export declare const OAUTH_GUILD_MEMBER: (guildID: string) => `/user/@me/guilds/${string}/member`;
export declare const OAUTH_GUILDS: "/user/@me/guilds";
export declare const OAUTH_TOKEN: "/oauth2/token";
export declare const OAUTH_TOKEN_REVOKE: "/oauth2/token/revoke";
export declare const ACHIEVEMENT_ICON: (applicationID: string, achievementID: string, hash: string) => `/app-assets/${string}/achievements/${string}/icons/${string}`;
export declare const APPLICATION_ASSET: (applicationID: string, assetID: string) => `/applications/${string}/assets/${string}`;
export declare const APPLICATION_COVER: (applicationID: string, hash: string) => `/app-icons/${string}/${string}`;
export declare const APPLICATION_ICON: (applicationID: string, hash: string) => `/app-icons/${string}/${string}`;
export declare const BANNER: (guildOrUserID: string, hash: string) => `/banners/${string}/${string}`;
export declare const CUSTOM_EMOJI: (emojiID: string) => `/emojis/${string}`;
export declare const EMBED_AVATAR: (mod: number) => `/embed/avatars/${number}`;
export declare const GUILD_AVATAR: (guildID: string, userID: string, hash: string) => `/guilds/${string}/users/${string}/avatars/${string}`;
export declare const GUILD_DISCOVERY_SPLASH: (guildID: string, hash: string) => `/guilds/${string}/splashes/${string}`;
export declare const GUILD_ICON: (guildID: string, hash: string) => `/icons/${string}/${string}`;
export declare const GUILD_SCHEDULED_EVENT_COVER: (eventID: string, hash: string) => `/guild-events/${string}/${string}`;
export declare const GUILD_SPLASH: (guildID: string, hash: string) => `/splashes/${string}/${string}`;
export declare const MEMBER_BANNER: (guildID: string, userID: string, hash: string) => `/guilds/${string}/users/${string}/banners/${string}`;
export declare const ROLE_ICON: (roleID: string, hash: string) => `/role-icons/${string}/${string}`;
export declare const STICKER: (stickerID: string) => `/stickers/${string}`;
export declare const STICKER_PACK_BANNER: (assetID: string) => `/applications/${string}/assets/${string}`;
export declare const TEAM_ICON: (teamID: string, hash: string) => `/team-icons/${string}/${string}`;
export declare const USER_AVATAR: (userID: string, hash: string) => `/avatars/${string}/${string}`;
export declare const APPLICATION_COMMAND: (applicationID: string, commandID: string) => `/applications/${string}/commands/${string}`;
export declare const APPLICATION_COMMANDS: (applicationID: string) => `/applications/${string}/commands`;
export declare const GUILD_APPLICATION_COMMAND: (applicationID: string, guildID: string, commandID: string) => `/applications/${string}/guilds/${string}commands/${string}`;
export declare const GUILD_APPLICATION_COMMANDS: (applicationID: string, guildID: string) => `/applications/${string}/guilds/${string}commands`;
export declare const GUILD_APPLICATION_COMMAND_PERMISSION: (applicationID: string, guildID: string, commandID: string) => `/applications/${string}/guilds/${string}/commands/${string}/permissions`;
export declare const GUILD_APPLICATION_COMMAND_PERMISSIONS: (applicationID: string, guildID: string) => `/applications/${string}/guilds/${string}commands/permissions`;
export declare const INTERACTION_CALLBACK: (interactionID: string, interactionToken: string) => `/interactions/${string}/${string}/callback`;
export declare const GATEWAY: "/gateway";
export declare const GATEWAY_BOT: "/gateway/bot";
export declare const USER: (userID: string) => `/users/${string}`;
